package main

import (
	"testing"

	functionsettest "example.com/unit/functionsettest"
	functiontagtest "example.com/unit/functiontagtest"
	functiontest "example.com/unit/functiontest"
	grouptest "example.com/unit/grouptest"
	persontest "example.com/unit/persontest"
	tiertest "example.com/unit/tiertest"

	"github.com/stretchr/testify/suite"
)

func TestSuite01Group(t *testing.T) {
	var groupSuite grouptest.GroupTestSuite
	groupSuite.SetupTestSuite()
	suite.Run(t, &groupSuite)
	groupSuite.TearDownTestSuite()
}

func TestSuite02FunctionTag(t *testing.T) {
	var functionTagSuite functiontagtest.FunctionTagTestSuite
	functionTagSuite.SetupTestSuite()
	suite.Run(t, &functionTagSuite)
	functionTagSuite.TearDownTestSuite()
}

func TestSuite03Person(t *testing.T) {
	var personSuite persontest.PersonTestSuite
	personSuite.SetupTestSuite()
	suite.Run(t, &personSuite)
	personSuite.TearDownTestSuite()
}

func TestSuite04Function(t *testing.T) {
	var functionSuite functiontest.FunctionTestSuite
	functionSuite.SetupTestSuite()
	suite.Run(t, &functionSuite)
	functionSuite.TearDownTestSuite()
}

func TestSuite05FunctionSet(t *testing.T) {
	var functionSetSuite functionsettest.FunctionSetTestSuite
	functionSetSuite.SetupTestSuite()
	suite.Run(t, &functionSetSuite)
	functionSetSuite.TearDownTestSuite()
}

func TestSuite06Tier(t *testing.T) {
	var tierSuite tiertest.TierTestSuite
	tierSuite.SetupTestSuite()
	suite.Run(t, &tierSuite)
	tierSuite.TearDownTestSuite()
}
