module api_test

go 1.24.2

replace example.com/unit/tiertest => ./unit/tiertest

replace example.com/unit/persontest => ./unit/persontest

replace example.com/unit/grouptest => ./unit/grouptest

replace example.com/unit/functiontest => ./unit/functiontest

replace example.com/unit/functionsettest => ./unit/functionsettest

replace example.com/unit/functiontagtest => ./unit/functiontagtest

replace example.com/test/testrequest => ./lib/testrequest

replace example.com/test/testsetup => ./lib/testsetup

replace example.com/api => ../src/modules/api

replace example.com/database => ../src/modules/database

replace example.com/database/user => ../src/modules/database/user

replace example.com/database/character => ../src/modules/database/character

replace example.com/database/functionset => ../src/modules/database/functionset

replace example.com/database/inventoryslot => ../src/modules/database/inventoryslot

replace example.com/database/customization => ../src/modules/database/customization

replace example.com/database/item => ../src/modules/database/item

replace example.com/database/itemtag => ../src/modules/database/itemtag

replace example.com/database/person => ../src/modules/database/person

replace example.com/database/role => ../src/modules/database/role

replace example.com/database/schematic => ../src/modules/database/schematic

replace example.com/database/tier => ../src/modules/database/tier

replace example.com/database/group => ../src/modules/database/group

replace example.com/database/function => ../src/modules/database/function

replace example.com/database/functiontag => ../src/modules/database/functiontag

replace example.com/config/server => ../src/modules/config/server

replace example.com/auth/discord => ../src/modules/auth/discord

require (
	example.com/unit/functionsettest v0.0.0
	example.com/unit/functiontagtest v0.0.0
	example.com/unit/functiontest v0.0.0
	example.com/unit/grouptest v0.0.0
	example.com/unit/persontest v0.0.0
	example.com/unit/tiertest v0.0.0
	github.com/stretchr/testify v1.10.0
)

require (
	example.com/api v0.0.0-00010101000000-000000000000 // indirect
	example.com/auth/discord v0.0.0 // indirect
	example.com/config/server v0.0.0 // indirect
	example.com/database v0.0.0-00010101000000-000000000000 // indirect
	example.com/database/character v0.0.0 // indirect
	example.com/database/customization v0.0.0 // indirect
	example.com/database/function v0.0.0 // indirect
	example.com/database/functionset v0.0.0 // indirect
	example.com/database/functiontag v0.0.0 // indirect
	example.com/database/group v0.0.0 // indirect
	example.com/database/inventoryslot v0.0.0 // indirect
	example.com/database/item v0.0.0 // indirect
	example.com/database/itemtag v0.0.0 // indirect
	example.com/database/person v0.0.0 // indirect
	example.com/database/role v0.0.0 // indirect
	example.com/database/schematic v0.0.0 // indirect
	example.com/database/tier v0.0.0 // indirect
	example.com/database/user v0.0.0 // indirect
	example.com/test/testrequest v0.0.0 // indirect
	example.com/test/testsetup v0.0.0 // indirect
	github.com/bytedance/sonic v1.13.2 // indirect
	github.com/bytedance/sonic/loader v0.2.4 // indirect
	github.com/cloudwego/base64x v0.1.5 // indirect
	github.com/davecgh/go-spew v1.1.1 // indirect
	github.com/gabriel-vasile/mimetype v1.4.8 // indirect
	github.com/gin-contrib/cors v1.7.5 // indirect
	github.com/gin-contrib/sse v1.0.0 // indirect
	github.com/gin-gonic/gin v1.10.1 // indirect
	github.com/go-playground/locales v0.14.1 // indirect
	github.com/go-playground/universal-translator v0.18.1 // indirect
	github.com/go-playground/validator/v10 v10.26.0 // indirect
	github.com/goccy/go-json v0.10.5 // indirect
	github.com/golang-jwt/jwt/v5 v5.2.2 // indirect
	github.com/jinzhu/inflection v1.0.0 // indirect
	github.com/jinzhu/now v1.1.5 // indirect
	github.com/json-iterator/go v1.1.12 // indirect
	github.com/klauspost/cpuid/v2 v2.2.10 // indirect
	github.com/leodido/go-urn v1.4.0 // indirect
	github.com/mattn/go-isatty v0.0.20 // indirect
	github.com/mattn/go-sqlite3 v1.14.22 // indirect
	github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd // indirect
	github.com/modern-go/reflect2 v1.0.2 // indirect
	github.com/pelletier/go-toml/v2 v2.2.4 // indirect
	github.com/pmezard/go-difflib v1.0.0 // indirect
	github.com/ravener/discord-oauth2 v0.0.0-20230514095040-ae65713199b3 // indirect
	github.com/twitchyliquid64/golang-asm v0.15.1 // indirect
	github.com/ugorji/go/codec v1.2.12 // indirect
	github.com/xyproto/randomstring v1.2.0 // indirect
	golang.org/x/arch v0.15.0 // indirect
	golang.org/x/crypto v0.36.0 // indirect
	golang.org/x/net v0.38.0 // indirect
	golang.org/x/oauth2 v0.29.0 // indirect
	golang.org/x/sys v0.31.0 // indirect
	golang.org/x/text v0.23.0 // indirect
	google.golang.org/protobuf v1.36.6 // indirect
	gopkg.in/yaml.v3 v3.0.1 // indirect
	gorm.io/driver/sqlite v1.5.7 // indirect
	gorm.io/gorm v1.26.1 // indirect
)
